Subject: bug#26742: Display bug with composed strings

From: Andreas Schwab <[email-masked]>
Date: Wed, 03 May 2017 18:53:32 +0200

On Mai 03 2017, YAMAMOTO Mitsuharu <[email-masked]> wrote:

>> If I create a file temp.txt containing the following:
>
>> -*- prettify-symbols-alist: (("R_PO" 8477 (Br . cl) 8804)); -*-
>> !!! R_PO !!!
>
>> and run ‘emacs-24.5 -Q temp.txt -f prettify-symbols-mode’, I observe
>> a surprising display bug: when I move the point across the second
>> line, as soon as the point reaches the blank space after “R_PO”, I
>> see a second ℝ displayed instead of the third “!”.
>
> On the Mac port, the filled box cursor disappears if I move it on
> the composite characters.  The patch below seems to work for this
> bug.  Could you try if it also solves the problems you observe?

That fixes the disappearing box cursor, but doesn't fix the ghost
character.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."